New setup install issue

Hello All,
   I have downloaded the latest "install_erpnext.py" using "wget https://raw.github.com/webnotes/erpnext/master/install_erpnext.py"

   When i try to install it using "python2.7 install_erpnext.py --create_user" command , I get following error,

Cloning wnframework
.
.

--------------------------------------------------------------------------------
Installing ERPNext
--------------------------------------------------------------------------------
ERPNext Database Name: erp1
Traceback (most recent call last):
  File "install_erpnext.py", line 321, in <module>
    install(install_path=install_path)
  File "install_erpnext.py", line 38, in install
    install_erpnext(install_path)
  File "install_erpnext.py", line 177, in install_erpnext
    import wnf
  File "lib/wnf.py", line 12, in <module>
    import webnotes
  File "lib/webnotes/__init__.py", line 10, in <module>
    from werkzeug.local import Local
ImportError: No module named werkzeug.local

Please suggest , What should I do?

Thanks and regards,

Gangadhar kadam

   



Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.
Hi Gangadhar,

It clearly indicates that python module : "Werkzueg" is not installed.
Please install it and run update again.


On Tue, Dec 10, 2013 at 8:54 PM, gangadhar kadam <em...@gmail.com> wrote:
Hello All,
I have downloaded the latest "install_erpnext.py" using "wget https://raw.github.com/webnotes/erpnext/master/install_erpnext.py"

When i try to install it using "python2.7 install_erpnext.py --create_user" command , I get following error,

Cloning wnframework
.
.

--------------------------------------------------------------------------------
Installing ERPNext
--------------------------------------------------------------------------------
ERPNext Database Name: erp1
Traceback (most recent call last):
File "install_erpnext.py", line 321, in <module>
install(install_path=install_path)
File "install_erpnext.py", line 38, in install
install_erpnext(install_path)
File "install_erpnext.py", line 177, in install_erpnext
import wnf
File "lib/wnf.py", line 12, in <module>
import webnotes
File "lib/webnotes/__init__.py", line 10, in <module>
from werkzeug.local import Local
ImportError: No module named werkzeug.local

Please suggest , What should I do?

Thanks and regards,

Gangadhar kadam



Note:



If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.



    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un…@googlegroups.com.

For more options, visit https://groups.google.com/groups/opt_out.




--
Regards,
Akhilesh Darjee
www.erpnext.com



Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.

I am assuming that you are trying to install on CentOS and have manually installed Python 2.7. The dependencies might have got installed to Python 2.6 or older and not Python2.7.


What is the output of
`which python2.7`
`which pip`
`which pip-2.7`

On 10 Dec 2013 20:54, "gangadhar kadam" <em...@gmail.com> wrote:
Hello All,
I have downloaded the latest "install_erpnext.py" using "wget https://raw.github.com/webnotes/erpnext/master/install_erpnext.py"

When i try to install it using "python2.7 install_erpnext.py --create_user" command , I get following error,

Cloning wnframework
.
.

--------------------------------------------------------------------------------
Installing ERPNext
--------------------------------------------------------------------------------
ERPNext Database Name: erp1
Traceback (most recent call last):
File "install_erpnext.py", line 321, in <module>
install(install_path=install_path)
File "install_erpnext.py", line 38, in install
install_erpnext(install_path)
File "install_erpnext.py", line 177, in install_erpnext
import wnf
File "lib/wnf.py", line 12, in <module>
import webnotes
File "lib/webnotes/__init__.py", line 10, in <module>
from werkzeug.local import Local
ImportError: No module named werkzeug.local

Please suggest , What should I do?

Thanks and regards,

Gangadhar kadam



Note:



If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.



    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un…@googlegroups.com.

For more options, visit https://groups.google.com/groups/opt_out.

Thank you Pratik,

   We are using ubuntu, I have one setup of responsive ERPNext, 
   I was trying to install another latest setup by downloading "install_erpnext.py.", 
   I have not manually installed python 2.7, it was installed .
  
The output is inline,

`which python2.7`
/usr/local/bin/python2.7

`which pip`
/usr/local/bin/pip

`which pip-2.7`
/usr/local/bin/pip-2.7

Had I miss anything?

Thanks and Regards,
Gangadhar kadam
 

On Tuesday, 10 December 2013 20:54:47 UTC+5:30, gangadhar kadam wrote:
Hello All,
   I have downloaded the latest "install_erpnext.py" using "wget https://raw.github.com/webnotes/erpnext/master/install_erpnext.py"

   When i try to install it using "python2.7 install_erpnext.py --create_user" command , I get following error,

Cloning wnframework
.
.

--------------------------------------------------------------------------------
Installing ERPNext
--------------------------------------------------------------------------------
ERPNext Database Name: erp1
Traceback (most recent call last):
  File "install_erpnext.py", line 321, in <module>
    install(install_path=install_path)
  File "install_erpnext.py", line 38, in install
    install_erpnext(install_path)
  File "install_erpnext.py", line 177, in install_erpnext
    import wnf
  File "lib/wnf.py", line 12, in <module>
    import webnotes
  File "lib/webnotes/__init__.py", line 10, in <module>
    from werkzeug.local import Local
ImportError: No module named werkzeug.local

Please suggest , What should I do?

Thanks and regards,

Gangadhar kadam

   



Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.
Try running:
pip-2.7 install werkzeug

And then try installing again.

-Anand.


On Wed, Dec 11, 2013 at 3:15 PM, gangadhar kadam <em…@gmail.com> wrote:

Thank you Pratik,

We are using ubuntu, I have one setup of responsive ERPNext,
I was trying to install another latest setup by downloading "install_erpnext.py.",
I have not manually installed python 2.7, it was installed .
The output is inline,

`which python2.7`
/usr/local/bin/python2.7

`which pip`
/usr/local/bin/pip

`which pip-2.7`
/usr/local/bin/pip-2.7

Had I miss anything?

Thanks and Regards,
Gangadhar kadam


On Tuesday, 10 December 2013 20:54:47 UTC+5:30, gangadhar kadam wrote:
Hello All,

I have downloaded the latest “install_erpnext.py” using “wget https://raw.github.com/webnotes/erpnext/master/install_erpnext.py


When i try to install it using "python2.7 install_erpnext.py --create_user" command , I get following error,

Cloning wnframework
.
.

--------------------------------------------------------------------------------
Installing ERPNext
--------------------------------------------------------------------------------
ERPNext Database Name: erp1
Traceback (most recent call last):
File "install_erpnext.py", line 321, in <module>
install(install_path=install_path)

File "install_erpnext.py", line 38, in install

install_erpnext(install_path)
File "install_erpnext.py", line 177, in install_erpnext
import wnf
File "lib/wnf.py", line 12, in <module>
import webnotes
File "lib/webnotes/__init__.py", line 10, in <module>
from werkzeug.local import Local
ImportError: No module named werkzeug.local


Please suggest , What should I do?

Thanks and regards,

Gangadhar kadam



Note:



If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.



    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un…@googlegroups.com.

For more options, visit https://groups.google.com/groups/opt_out.




Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.